.\"
.\" Humdrum++ manual page for the composite command
.\"
.\" Author:        Craig Stuart Sapp <craig@ccrma.stanford.edu>
.\" Creation Date: Wed Jul  8 15:18:57 PDT 1998
.\" Last Modified: Wed Jul  8 15:19:03 PDT 1998
.\" Filename:      ...humdrum++/doc/man/composite.man
.\" Syntax:        troff -man
.\" $Smake:        groff -Tps -man %f > %b.ps
.\" $Smake-screen: nroff -man %f | more
.\"
.\"
.TH COMPOSITE Humdrum++ "Humdrum++ Commands" "Craig Stuart Sapp" "8 July 1998" 

.SH NAME
composite \- generates composite rhythm of **kern records

.SH SYNOPSIS
.B composite
[\f3\-a\f1] 
[\f3\-h\f1]
[\f3\-m\f1]
[\f2inputfile1 \f1[\f2inputfile2\f1 ...]]
[> \f2outputfile\f1]

.SH DESCRIPTION

\f3composite\f1 generates the composite rhythm from all **kern records in a 
humdrum file.  All other exclusive interpretations in the file are
ignored.  The program is similar to the \f2beat \-r\f1 program call,
but the \f2composite\f1 program keeps track of ties and rests.


.SS OPTIONS

.TP
.B "\-a"
assembles the input data along with the output analysis spine.

.TP
.B "\-h, \-\-help"
Print a usage message and exit with a status code indicating success.

.TP
.B "\-m"
generates MUP output for music notation printing.

.TP
.B "\-t \f2title-string"
sets the MUP title.  Will use "!!!OTL:" humdrum title comment if title
option is not specified.

.TP 
.B "\-\-debug"
causes a line number message to print to standard output as each
input humdrum file line is processed by the \f2composite\f1 program.

.TP 
.B "\-\-example"
prints to standard output, some example calls to the \f2composite\f1
program.

.TP 
.B "\-\-options"
displays a database of the available options for the command as
well as any alias and default values.

.TP
.B "\-\-version"
prints version information on standard output then exits.

.SH EXAMPLES

To find the composite rhythm of kern records:
.PP
   \f3composite chor217.krn\f1
.PP
To generate MUP output:
.PP
   \f3composite chor217.krn -m\f1

.\"SH PORTABILITY



.SH SEE ALSO

\f3beat\f1(humdrum++)


.SH LIMITS

The spine count must remain constant throughout an input file.
Most polyrhythmic situations connot be handled yet.



