.\"
.\" Humdrum manual page for the quality command
.\"
.\" Author:        Craig Stuart Sapp <craig@ccrma.stanford.edu>
.\" Creation Date: Wed Jul  8 15:57:09 PDT 1998
.\" Last Modified: Wed Jul  8 15:57:13 PDT 1998
.\" Filename:      ...humdrum++/doc/man/quality.man
.\" Syntax:        troff -man
.\" $Smake:        groff -Tps -man %f > %b.ps
.\" $Smake-screen: nroff -man %f | more
.\"
.\"
.TH QUALITY Humdrum++ "Humdrum++ Commands" "Craig Stuart Sapp" "8 July 1998" 

.SH NAME
quality \- generates chord quality analysis of **kern records

.SH SYNOPSIS
.B quality
[\f3\-a\f1] 
[\f3\-i\f1]
[\f3\-r\f1]
[\f3\-t\f1]
[\f2inputfile1 \f1[\f2inputfile2\f1 ...]]
[> \f2outputfile\f1]

.SH DESCRIPTION

The \f3quality\f1 program analyses kern records for harmonic chord 
qualities in each record.  Melodic harmony contained in mulitiple
kern records is not considered. 
All exclusive interpretations other than **kern interpretations 
in the file are ignored.  

.PP
A chord quality consists of three elements, each separated by a 
colon, ':'.  The first element is the quality type, such as \f2major\f1,
\f2minor\f1, \f2half-diminished\f1, \f2etc\f1.  The second element
of the chord quality is the inversion given as an integer: 0 = root
position, 1 = first inversion, 2 = second inversion, \f2etc\f1.
The final element in a chord quality is the root of the chord which is
usually given as a capital letter with the apporpriate kern accidental
notation.


.SS OPTIONS

.TP
.B "\-a"
assembles the input data along with the output analysis spine.

.TP
.B "\-h, \-\-help"
Print a usage message and exit with a status code indicating success.

.TP
.B "\-i"
displays inversion information only.

.TP
.B "\-r"
displays only roots of chords.


.TP
.B "\-t"
displays only chord types.


.TP 
.B "\-\-debug"
causes a line number message to print to standard output as each
input humdrum file line is processed by the \f2quality\f1 program.

.TP 
.B "\-\-example"
prints to standard output, some example calls to the \f2quality\f1
program.

.TP 
.B "\-\-options"
displays a database of the available options for the command as
well as any alias and default values.

.TP
.B "\-\-version"
prints version information on standard output then exits.

.SH EXAMPLES

To find the quality rhythm of kern records:
.PP
   \f3quality chor217.krn\f1

.\"SH PORTABILITY



.\".SH SEE ALSO



.SH LIMITS

The spine count must remain constant throughout an input file.
Chord entries in **kern fields are not yet taken into account.



