.\"
.\" Humdrum++ manual page for the sample command
.\"
.\" Author:        Craig Stuart Sapp <craig@ccrma.stanford.edu>
.\" Creation Date: Thu Jul  9 16:51:20 PDT 1998
.\" Last Modified: Thu Jul  9 16:51:24 PDT 1998
.\" Filename:      ...humdrum++/doc/man/sample.man
.\" Syntax:        troff -man
.\" $Smake:        groff -Tps -man %f > %b.ps
.\" $Smake-screen: nroff -man %f | more
.\"
.\"
.TH SAMPLE HUMDRUM++ "Humdrum++ Commands" "Craig Stuart Sapp" "8 July 1998" 

.SH NAME
sample \- Resamples a melody into a new rhythmic pattern

.SH SYNOPSIS
.B sample
[\f3\-d\f1]
[\f3\-r \f2rhythmic\-cycle\f1]
[\f3\-h\f1]
[\f3\-s \f2spine\f1]
[\f2inputfile1 \f1[\f2inputfile2\f1 ...]]
[> \f2outputfile\f1]

.SH DESCRIPTION

\f3sample\f1 takes
humdrum file.  All other exclusive interpretations in the file are
ignored.  The program can also print the duration of a record by using
the \f2\-d\f1 option, and can print the total number of sample in a measure 
with the \f2\-s\f1 option.


.SS OPTIONS

.TP
.B "\-d"
divides the input notes into smaller values if the rhythmic cycle
duration is shorter than the input notes; otherwise, an input note
will not be split into a smaller duration rhythmic cycle durations
fit inside the input note's duration.


.TP
.B "\-r \f2rhythmic\-cycle\f3"
A list of one or more **kern rhythmic values which will be used to 
generate the rhythm of the output.  The default value is a single
quater note ("4");

.TP
.B "\-h, \-\-help"
Print a usage message and exit with a status code indicating success.

.TP
.B "\-s spine-number"
analyze the given spine, offset from 1.  The default is 1.

.TP 
.B "\-\-debug"
causes a line number message to print to standard output as each
input humdrum file line is processed by the \f2sample\f1 program.

.TP 
.B "\-\-example"
prints to standard output, some example calls to the \f2sample\f1
program.

.TP 
.B "\-\-options"
displays a database of the available options for the command as
well as any alias and default values.

.TP
.B "\-\-version"
prints version information on standard output then exits.

.SH EXAMPLES

To generate a melody which contains no eighth notes:
.PP
   \f3sample england4.krn -r 4\f1
.PP
To generate a constant rhythm of quarter notes:
.PP
   \f3sample england4.krn -r 4 -d\f1


.\"SH PORTABILITY



.\".SH SEE ALSO


.SH LIMITS

The spine count must remain constant throughout an input file.
This program will only process one **kern spine at a time.



