//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Thu Apr 11 12:33:09 PDT 2002
// Last Modified: Fri Apr 12 18:13:46 PDT 2002
// Filename:      ...sig/maint/code/base/PixelColor/PixelColor.h
// Web Address:   http://sig.sapp.org/include/sigBase/PixelColor.h
// Documentation: http://sig.sapp.org/doc/classes/PixelColor
// Syntax:        C++ 
//

#ifndef _PIXELCOLOR_H_INCLUDED
#define _PIXELCOLOR_H_INCLUDED

#ifndef OLDCPP
   #include <ostream>
   using namespace std;
#else
   #include <ostream.h>
#endif

typedef unsigned char uchar;

class PixelColor {
   public:
                   PixelColor     (void);
                   PixelColor     (const char* color);
                   PixelColor     (const PixelColor& color);
                   PixelColor     (int red, int green, int blue);
                   PixelColor     (float red, float green, float blue);
                   PixelColor     (double red, double green, double blue);
                  ~PixelColor     ();
      PixelColor&  setColor       (const char* colorstring);
      PixelColor&  setColor       (int red, int green, int blue);
      int          getRed         (void);
      int          getGreen       (void);
      int          getBlue        (void);
      void         setRed         (int value);
      void         setGreen       (int value);
      void         setBlue        (int value);
      float        getRedF        (void);
      float        getGreenF      (void);
      float        getBlueF       (void);
      void         setRedF        (float value);
      void         setGreenF      (float value);
      void         setBlueF       (float value);
      void         setColor       (PixelColor color);
      PixelColor&  setHue         (float value);
      PixelColor&  makeGrey       (void);
      PixelColor&  makeGray       (void);
      int          operator>      (int number);
      int          operator<      (int number);
      int          operator==     (PixelColor color);
      int          operator!=     (PixelColor color);
      PixelColor&  operator=      (PixelColor color);
      PixelColor&  operator=      (int value);
      PixelColor   operator+      (PixelColor color);
      PixelColor&  operator+=     (int number);
      PixelColor   operator-      (PixelColor color);
      PixelColor&  operator*=     (double number);
      PixelColor   operator*      (PixelColor color);
      PixelColor   operator*      (double color);
      PixelColor   operator*      (int color);
      PixelColor   operator/      (double number);
      PixelColor   operator/      (int number);

      static PixelColor getColor (const char* colorstring);

      void         writePpm6      (ostream& out);
      void         writePpm3      (ostream& out);

   protected:
      uchar   Red; 
      uchar   Green;
      uchar   Blue;

   private:
      float   charToFloat         (int value);
      int     floatToChar         (float value);
      int     limit               (int value, int min, int max);
};



#endif  /* _PIXELCOLOR_H_INCLUDED */



// md5sum:	bf11b7588cb98eaba414a98500780f79  - PixelColor.h =css= 20010708
